<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{menu_aktifitas}">
<head>
    <meta charset="UTF-8">
    <title>Absensi Mahasiswa</title>
</head>
<body>
<div layout:fragment="aktifitas" class="box-body no-padding">
    <div class="box box-primary">
        <form method="get">
            <div class="box-header with-border">
                <div class="row">
                    <div class="col-md-6" align="left">
                        <h3 class="box-title">Absensi Mahasiswa</h3>
                    </div>
                    <div class="col-md-6" align="right">
                        <!--                        Show entries <span sd:page-size-selector="javascript"></span>-->
                    </div>
                </div>
            </div>

            <div class="box-header with-border">
                <div class="row">
                    <div class="col-md-6" align="left">
                        <!--                        <div class="input-group input-group-sm" style="width: 150px;">-->
                        <!--                            <a th:href="@{/setting/pejabat_matrikulasi/new}" name="tambah" type="button" class="btn btn-block btn-primary">+ Kewajiban</a>-->
                        <!--                        </div>-->
                    </div>


                    <div class="col-md-6" align="right">
                        <div class="input-group input-group-sm" style="width: 150px;">
                            <input type="text" name="search" class="form-control pull-right" placeholder="Search">
                            <div class="input-group-btn">
                                <button type="submit" class="btn btn-default"><i class="fa fa-search"></i></button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </form>

        <form th:action="@{/aktifitas/absensi_kegiatan_rutin/save}" th:object="${penjadwalan}" method="post">
            <input type="hidden" th:field="*{id}">
            <div class="box-body table-responsive no-padding">
                <table class="table table-bordered">
                    <tr>
                        <th style="width: 10px">No</th>
                        <th>NIM</th>
                        <th>Nama</th>
                        <th>Pembina</th>
                        <th>Option</th>
                        <!--                    <th style="width: 40px"></th>-->
                    </tr>
                    <tr th:each="m,i : ${listPlotingMahasiswa.content}">
                        <td th:text="${(listPlotingMahasiswa.number * listPlotingMahasiswa.size) + i.count}">1.</td>
                        <td th:text="${m.mahasiswa.nim}">32422425</td>
                        <td th:text="${m.mahasiswa.nama}">Salsa</td>
                        <td th:text="${m.pembina.namaKaryawan}">Pembina Regu</td>
                        <td>
                            <div class="form-group">
                                <input type="hidden" th:name="${'presensiMahasiswaKegiatanRutins['+i.index+'].mahasiswa'}" th:value="${m.mahasiswa.id}">
                                <input type="hidden" th:name="${'presensiMahasiswaKegiatanRutins['+i.index+'].penjadwalanKegiatanRutin'}" th:value="${penjadwalan.id}">

<!--                                <span th:text="${m.statusPresensi != null}"></span>-->
<!--                                <span th:text="${m.statusPresensi.name() == state}"></span>-->

                                <select th:name="${'presensiMahasiswaKegiatanRutins['+i.index+'].statusPresensi'}">
                                    <option th:each="state : ${T(id.ac.tazkia.matrikulasi.entity.StatusPresensi).values()}"
                                            th:value="${state}"
                                            th:selected="${m.mahasiswa.statusPresensi != null && #strings.equals(m.mahasiswa.statusPresensi,state)}"
                                            th:text="${state}">
                                    </option>
                                </select>
                            </div>
                        </td>
                    </tr>
                    <tr th:if="${#lists.isEmpty(listPlotingMahasiswa.content)}">
                        <td colspan="5" class="text-center"> Data Not Found</td>
                    </tr>
                </table>
            </div>

            <div class="box-footer clearfix">
                <a th:href="@{/aktifitas/absensi_kegiatan_rutin}" class="btn btn-default">Cancel</a>
                <button type="submit" class="btn btn-info pull-right" id="simpan">Save</button>
            </div>

            <div class="box-footer clearfix">
                <ul class="pagination pagination-sm no-margin pull-right">
                    <li class="disabled"><a href="#" aria-label="Previous"><span
                            aria-hidden="true">&laquo;</span></a>
                    </li>
                    <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a>
                    </li>
                </ul>
            </div>
        </form>
    </div>
</div>


</body>
</html>